problem installing PyXML on Linux

Helka.Folch Helka.Folch at wanadoo.fr
Sun Jun 24 10:57:44 CEST 2001


I'm trying to install PyXML-0.0.6.5.-1 on linux (suse 7.1).
When I tried to install the rpm, I got the following message:
dependancy problem    /usr/local/bin/python is needed by
PyXML-0.0.6.5.-1
(on my system, python exec is /usr/bin/python2.0)

On the other hand, when I tried to install PyXML from the source file
with : python setup.py  -q  install
I got the following error message:

extensions/pyexpat.c:4  Python.h No such file or directory
extensions/pyexpat.c:5: Compile.h  No such file or directory
extensions/pyexpat.c:6: frameobject.h  No such file or directory
error : command 'gcc' failed with exit status 1


do you know what I've done wrong?
Many thanks





More information about the Python-list mailing list